PYSIDE6-QMLLINT(1)

NAME
pyside6-qmllint - qmllint

SYNOPSIS
qmllint [options] files

DESCRIPTION
QML syntax verifier and analyzer

  All warnings can be set to three levels:

    disable - Fully disables the warning. info - Displays the warning but does not influence the return code. warning - Displays the warning and leads to a non-zero exit code if more warnings than max-warnings occur. error - Displays the warning as error and leads to a non-zero exit code if encountered.

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

-v, --version
    Displays version information.

-s, --silent
    Don't output syntax errors

--json <file>
    Write output as JSON to file (or use the special filename '-' to write to stdout)

--write-defaults
    Writes defaults settings to .qmllint.ini and exits (Warning: This will overwrite any existing settings and comments!)

--ignore-settings
    Ignores all settings files and only takes command line options into consideration

-M, --module
    Lint modules instead of files

--resource <resource>
    Look for related files in the given resource file

-I, --qmldirs <directory>
    Look for QML modules in specified directory

-E  Use the QML_IMPORT_PATH environment variable to look for QML Modules

--bare
    Do not include default import directories or the current directory. This may be used to run qmllint on a project using a different Qt version.

-i, --qmltypes <qmldirs>
    Import the specified qmldir files. By default, the qmldir file found in the current directory is used if present. If no qmldir file is found,but qmltypes files are, those are imported instead. When this option is set, you have to explicitly add the qmldir or any qmltypes files in the current directory if you want it to be used. Importing qmltypes files without their corresponding qmldir file is inadvisable.

-f, --fix
    Automatically apply fix suggestions

--dry-run
    Only print out the contents of the file after fix suggestions without applying them

--list-plugins
    List all available plugins

-D, --disable-plugins <plugins>
    List of qmllint plugins to disable (all to disable all plugins)

-P, --plugin-paths <directory>
    Look for qmllint plugins in specified directory

-W, --max-warnings <count>
    Exit with an error code if more than "count" manywarnings are found by qmllint. By default or if "count" is -1, warnings do not cause qmllint to return with an error exit code.

--access-singleton-via-object <level>
    Warn if a singleton is accessed via an object (default: warning)

--alias-cycle <level>
    Warn about alias cycles (default: warning)

--assignment-in-condition <level>
    Warn about using assignment in conditions. (default: warning)

--comma <level>
    Warn about using comma expressions. (default: warning)

--component-children-count <level>
    Warn about Components that don't have exactly one child (default: warning)

--confusing-expression-statement <level>
    Warn about expression statement that has no obvious effect. (default: warning)

--confusing-minuses <level>
    Warn about confusing minuses. (default: warning)

--confusing-pluses <level>
    Warn about confusing pluses. (default: warning)

--context-properties <level>
    Warn about using context properties. (default: warning)

--enums-are-not-types <level>
    Warn about the use of enumerations as types. (default: warning)

--equality-type-coercion <level>
    Warn about coercions due to usages of '==' and '!=' (default: warning)

--deprecated <level>
    Warn about deprecated properties and types (default: warning)

--duplicate-enum-entries <level>
    Warn about duplicate enum entries (default: warning)

--duplicate-import <level>
    Warn about duplicate imports (default: warning)

--duplicate-inline-component <level>
    Warn about duplicate inline components (default: warning)

--duplicate-property-binding <level>
    Warn about duplicate property bindings (default: warning)

--duplicated-name <level>
    Warn about duplicated property/signal names (default: warning)

--enum-entry-matches-enum <level>
    Warn about enum entries named the same as the enum itself (default: warning)

--eval <level>
    Warn about uses of eval() (default: warning)

--import <level>
    Warn about failing imports and deprecated qmltypes (default: warning)

--incompatible-type <level>
    Warn about incompatible types (default: warning)

--inheritance-cycle <level>
    Warn about inheritance cycles (default: warning)

--invalid-lint-directive <level>
    Warn if an invalid qmllint comment is found (default: warning)

--literal-constructor <level>
    Warn about using literal constructors, like Boolean or String for example. (default: warning)

--missing-enum-entry <level>
    Warn about using missing enum values. (default: warning)

--missing-property <level>
    Warn about missing properties (default: warning)

--missing-type <level>
    Warn about missing types (default: warning)

--multiline-strings <level>
    Warn about multiline strings (default: info)

--non-list-property <level>
    Warn about non-list properties (default: warning)

--non-root-enum <level>
    Warn about enums defined outside the root component (default: warning)

--unterminated-case <level>
    Warn about non-empty case blocks that are not terminated by control flow or by a fallthrough comment (default: warning)

--prefer-non-var-properties <level>
    Warn about var properties that could use a more specific type (default: warning)

--prefixed-import-type <level>
    Warn about prefixed import types (default: warning)

--read-only-property <level>
    Warn about writing to read-only properties (default: warning)

--redundant-optional-chaining <level>
    Warn about optional chaining on non-voidable and non-nullable base (default: warning)

--required <level>
    Warn about required properties (default: warning)

--restricted-type <level>
    Warn about restricted types (default: warning)

--signal-handler-parameters <level>
    Warn about bad signal handler parameters (default: warning)

--stale-property-read <level>
    Warn about bindings reading non-constant and non-notifiable properties (default: warning)

--top-level-component <level>
    Warn if a top level Component is encountered (default: warning)

--translation-function-mismatch <level>
    Warn about usages of ID and non-ID translation functions in the same file. (default: warning)

--uncreatable-type <level>
    Warn if uncreatable types are created (default: warning)

--unintentional-empty-block <level>
    Warn about bindings that contain only an empty block (default: warning)

--unqualified <level>
    Warn about unqualified identifiers and how to fix them (default: warning)

--unreachable-code <level>
    Warn about unreachable code. (default: warning)

--unresolved-alias <level>
    Warn about unresolved aliases (default: warning)

--unresolved-type <level>
    Warn about unresolved types (default: warning)

--unused-imports <level>
    Warn about unused imports (default: info)

--use-proper-function <level>
    Warn if var is used for storing functions (default: warning)

--var-used-before-declaration <level>
    Warn if a variable is used before declaration (default: warning)

--with <level>
    Warn about with statements as they can cause false positives when checking for unqualified access (default: warning)

--QtDesignStudio.FunctionsNotSupportedInQmlUi <lev Warn about unsupported

el> function calls in ui.qml files (default: warning)

--QtDesignStudio.ReferenceToParentItemNotSupported Warn about references to

ByVisualDesigner <level>
    the parent of a root Component in ui.qml files (default: warning)

--QtDesignStudio.ImperativeCodeNotEditableInVisual Warn about unwanted

Designer <level>
    assignments ui.qml files (default: warning)

--QtDesignStudio.UnsupportedTypeInQmlUi <level>
    Warn about unsupported types in ui.qml files (default: warning)

--QtDesignStudio.InvalidIdeInVisualDesigner <level Warn about ambiguous id

>   names in ui.qml files (default: warning)

--QtDesignStudio.UnsupportedRootTypeInQmlUi <level Warn about unsupported

>   root types in ui.qml files (default: warning)

--Quick.layout-positioning <level>
    Warn about using the wrong kind of positioning in layouts (default: warning)

--Quick.attached-property-type <level>
    Warn about attached properties being used in the wrong type (default: warning)

--Quick.anchor-combinations <level>
    Warn about invalid anchor combinations (default: warning)

--Quick.controls-native-customize <level>
    Warn about unsupported customizing of native controls (default: warning)

--Quick.unexpected-var-type <level>
    Warn about incompatible types being set on var properties (default: warning)

--Quick.property-changes-parsed <level>
    Warn about legacy PropertyChanges that rely on the custom parser (default: warning)

--Quick.color <level>
    Warn about invalid color values. (default: warning)

--Quick.state-no-child-item <level>
    Warn about State Objects that have illegal child items (default: warning)

  Arguments:

files
    list of qml or js files to verify